[Tkabber-dev] r2030 - in trunk/tkabber: . doc

tkabber-svn at jabber.ru tkabber-svn at jabber.ru
Fri Dec 27 13:41:31 MSK 2013


Author: sergei
Date: 2013-12-27 13:41:31 +0400 (Fri, 27 Dec 2013)
New Revision: 2030

Modified:
   trunk/tkabber/ChangeLog
   trunk/tkabber/README
   trunk/tkabber/doc/tkabber.html
   trunk/tkabber/doc/tkabber.xml
Log:
	* README, doc/tkabber.html, doc/tkabber.xml: Fixed a few typos and added some
	  clarifications.


Modified: trunk/tkabber/ChangeLog
===================================================================
--- trunk/tkabber/ChangeLog	2013-12-27 07:57:07 UTC (rev 2029)
+++ trunk/tkabber/ChangeLog	2013-12-27 09:41:31 UTC (rev 2030)
@@ -1,7 +1,8 @@
 2013-12-27  Sergei Golovan  <sgolovan at nes.ru>
 
 	* README, doc/tkabber.html, doc/tkabber.xml: Added a short description
-	  for proxy profiles management.
+	  for proxy profiles management. Fixed a few typos and added some
+	  clarifications.
 
 2013-12-26  Sergei Golovan  <sgolovan at nes.ru>
 

Modified: trunk/tkabber/README
===================================================================
--- trunk/tkabber/README	2013-12-27 07:57:07 UTC (rev 2029)
+++ trunk/tkabber/README	2013-12-27 09:41:31 UTC (rev 2030)
@@ -248,7 +248,7 @@
 
       *  emoticons
 
-      *  user-defined hooks for chat window events
+      *  user-defined hooks for messages arriving and chat window events
 
    presence:
 
@@ -289,12 +289,14 @@
 
       *  nested roster groups
 
-      *  for Unix: auto-away, spell checking, KDE or freedesktop
-         docking, and WMaker icons
+      *  roster metacontacts
 
-      *  for Windows: auto-away, and taskbar icons
+      *  auto-away
 
+      *  for Unix: spell checking, KDE or freedesktop docking, and
+         WMaker icons
 
+      *  for Windows: taskbar icons
 
 
 
@@ -330,8 +332,6 @@
 
 
 
-
-
 Shchepin, et al.                                                [Page 6]
 

                                Tkabber 1.0                  January 2014
@@ -359,8 +359,8 @@
    site.
 
    The ActiveTcl [5] distribution contains all three packages (along
-   with the _Img_ package mentioned next); so, you may want to use that
-   instead of three separate downloads.
+   with the _tls_ and _Img_ package mentioned below); so, you may want
+   to use that instead of three separate downloads.
 
    At your discretion, there are several optional packages that you may
    also install. _Tkabber_ will run just fine without them, but if
@@ -437,8 +437,8 @@
       to install Tk Xwin version 1.0 [15] (or later), whilst on WIndows,
       you may want to install Tcl Winidle version 0.1 [16] (or later).
 
-   o  Users of _Tcl/Tk_ 8.5 don't have to use external packages to
-      measure their idle time.
+   o  Users of _Tcl/Tk_ 8.5 or newer don't have to use external packages
+      to measure their idle time.
 
 
 
@@ -525,7 +525,8 @@
 
    svn co https://svn.xmpp.ru/repos/tkabber-3rd-party/trunk/plugins
 
-   They usually include short readme with info on how to use them.
+   They usually include short readme with info on what they do and how
+   to use them.
 
    If you use the Debian GNU/Linux distribution, you may want to get all
    required packages by using _apt_.  Just execute
@@ -555,7 +556,6 @@
 
 
 
-
 Shchepin, et al.                                               [Page 10]
 

                                Tkabber 1.0                  January 2014
@@ -627,7 +627,7 @@
    There are incompatible changes in Tkabber internals, which break the
    old plugins.  So, you'll have to upgrade them as well.  If a plugin
    author haven't released a compatible with _Tkabber_ 1.0 version then
-   you'll have to disable that plugin.
+   you'll have to disable or remove that plugin.
 
 4.2.  Configuration options
 
@@ -675,8 +675,8 @@
 
 5.  Upgrading from version 0.10.0
 
-   When upgrading _Tkabber_ from version 0.10.0 or earlier the above
-   section on plugins (Section 4.1) and also note that several
+   When upgrading _Tkabber_ from version 0.10.0 or earlier read the
+   above section on plugins (Section 4.1) and also note that several
    configuration options and user interface elements have been changed.
 
 5.1.  Configuration options

Modified: trunk/tkabber/doc/tkabber.html
===================================================================
--- trunk/tkabber/doc/tkabber.html	2013-12-27 07:57:07 UTC (rev 2029)
+++ trunk/tkabber/doc/tkabber.html	2013-12-27 09:41:31 UTC (rev 2030)
@@ -427,7 +427,7 @@
 </li>
 <li>emoticons
 </li>
-<li>user-defined hooks for chat window events
+<li>user-defined hooks for messages arriving and chat window events
 </li>
 </ul>
 </dd>
@@ -467,13 +467,17 @@
 </li>
 <li>nested roster groups
 </li>
+<li>roster metacontacts
+</li>
+<li>auto-away
+</li>
 <li>
-                for Unix: auto-away, spell checking, KDE or freedesktop docking,
+                for Unix: spell checking, KDE or freedesktop docking,
                 and WMaker icons
               
 </li>
 <li>
-                for Windows: auto-away, and taskbar icons
+                for Windows: taskbar icons
               
 </li>
 </ul>
@@ -516,7 +520,7 @@
 </p>
 <p>The <a href='http://www.activestate.com/Products/ActiveTcl'>ActiveTcl</a>
 distribution contains all three packages
-(along with the <em>Img</em> package mentioned next);
+(along with the <em>tls</em> and <em>Img</em> package mentioned below);
 so,
 you may want to use that instead of three separate downloads.
 </p>
@@ -525,8 +529,7 @@
 <em>Tkabber</em> will run just fine without them,
 but if they're available <em>Tkabber</em> will make additional features
 available to you.
-So,
-here's the list:
+So, here's the list:
 </p>
 <ul class="text">
 <li>By default,
@@ -655,7 +658,7 @@
 <a href='http://sgolovan.nes.ru/jabber/tclWinidle/'>Tcl
 Winidle version 0.1</a> (or later).
 </li>
-<li>Users of <em>Tcl/Tk</em> 8.5 don't have to
+<li>Users of <em>Tcl/Tk</em> 8.5 or newer don't have to
 use external packages to measure their idle time.
 <br />
 <br />
@@ -726,7 +729,7 @@
 </p><div style='display: table; width: 0; margin-left: 3em; margin-right: auto'><pre>
 svn co https://svn.xmpp.ru/repos/tkabber-3rd-party/trunk/plugins
 </pre></div>
-<p>They usually include short readme with info on how to use them.
+<p>They usually include short readme with info on what they do and how to use them.
 </p>
 <p>If you use the Debian GNU/Linux distribution, you may want to get 
 all required packages by using <em>apt</em>. 
@@ -798,7 +801,7 @@
 <p>There are incompatible changes in Tkabber internals, which break the old
 plugins. So, you'll have to upgrade them as well. If a plugin author haven't
 released a compatible with <em>Tkabber</em> 1.0 version then you'll have
-to disable that plugin.
+to disable or remove that plugin.
 </p>
 <a name="ss.upgrading0.11.1.conf"></a><br /><hr />
 <table summary="layout" cellpadding="0" cellspacing="2" class="TOCbug" align="right"><tr><td class="TOCbug"><a href="#toc"> TOC </a></td></tr></table>
@@ -812,7 +815,7 @@
 <a name="rfc.section.5"></a><h3>5. 
 Upgrading from version 0.10.0</h3>
 
-<p>When upgrading <em>Tkabber</em> from version 0.10.0 or earlier
+<p>When upgrading <em>Tkabber</em> from version 0.10.0 or earlier read
 <a class='info' href='#ss.upgrading0.11.1.plugins'>the above section on plugins<span> (</span><span class='info'>External plugins</span><span>)</span></a>
 and also note that
 several configuration options and user interface elements have been changed.

Modified: trunk/tkabber/doc/tkabber.xml
===================================================================
--- trunk/tkabber/doc/tkabber.xml	2013-12-27 07:57:07 UTC (rev 2029)
+++ trunk/tkabber/doc/tkabber.xml	2013-12-27 09:41:31 UTC (rev 2030)
@@ -130,7 +130,7 @@
               <t>completions of nick and commands</t>
               <t>hyperlinks</t>
               <t>emoticons</t>
-              <t>user-defined hooks for chat window events</t>
+              <t>user-defined hooks for messages arriving and chat window events</t>
             </list></t>
 
           <t hangText='presence:'>
@@ -152,12 +152,14 @@
               <t>tabbed/non-tabbed interface</t>
               <t>sound notifications</t>
               <t>nested roster groups</t>
+              <t>roster metacontacts</t>
+              <t>auto-away</t>
               <t>
-                for Unix: auto-away, spell checking, KDE or freedesktop docking,
+                for Unix: spell checking, KDE or freedesktop docking,
                 and WMaker icons
               </t>
               <t>
-                for Windows: auto-away, and taskbar icons
+                for Windows: taskbar icons
               </t>
             </list>
           </t>
@@ -193,7 +195,7 @@
 
 <t>The <eref target='http://www.activestate.com/Products/ActiveTcl'>ActiveTcl</eref>
 distribution contains all three packages
-(along with the <spanx>Img</spanx> package mentioned next);
+(along with the <spanx>tls</spanx> and <spanx>Img</spanx> package mentioned below);
 so,
 you may want to use that instead of three separate downloads.</t>
 
@@ -202,8 +204,7 @@
 <spanx>Tkabber</spanx> will run just fine without them,
 but if they're available <spanx>Tkabber</spanx> will make additional features
 available to you.
-So,
-here's the list:
+So, here's the list:
 <list style='symbols'>
 <t>By default,
 communications between the server and client take place over a
@@ -309,7 +310,7 @@
 you may want to install
 <eref target="http://sgolovan.nes.ru/jabber/tclWinidle/">Tcl
 Winidle version 0.1</eref> (or later).</t>
-<t>Users of <spanx>Tcl/Tk</spanx> 8.5 don't have to
+<t>Users of <spanx>Tcl/Tk</spanx> 8.5 or newer don't have to
 use external packages to measure their idle time.
 <vspace blankLines='1' />
 </t>
@@ -371,7 +372,7 @@
 <artwork><![CDATA[
 svn co https://svn.xmpp.ru/repos/tkabber-3rd-party/trunk/plugins
 ]]></artwork>
-<postamble>They usually include short readme with info on how to use them.</postamble>
+<postamble>They usually include short readme with info on what they do and how to use them.</postamble>
 </figure>
 <figure>
 <preamble>If you use the Debian GNU/Linux distribution, you may want to get 
@@ -446,7 +447,7 @@
 <t>There are incompatible changes in Tkabber internals, which break the old
 plugins. So, you'll have to upgrade them as well. If a plugin author haven't
 released a compatible with <spanx>Tkabber</spanx> 1.0 version then you'll have
-to disable that plugin.</t>
+to disable or remove that plugin.</t>
 </section>
 
 <section anchor='ss.upgrading0.11.1.conf' title='Configuration options'>
@@ -455,7 +456,7 @@
 </section>
 
 <section anchor='s.upgrading0.10.0' title='Upgrading from version 0.10.0'>
-<t>When upgrading <spanx>Tkabber</spanx> from version 0.10.0 or earlier
+<t>When upgrading <spanx>Tkabber</spanx> from version 0.10.0 or earlier read
 <xref target='ss.upgrading0.11.1.plugins'>the above section on plugins</xref>
 and also note that
 several configuration options and user interface elements have been changed.</t>



More information about the Tkabber-dev mailing list